Subject: [MEXT] Comments on draft-ietf-mext-binding-revocation-03

From: Qin Wu <[email-masked]>
Date: Thu, 26 Feb 2009 16:59:51 +0800

Hi,Ahmad:
May I have some comments on these new version draft "Binding Revocation for IPv6 Mobility"?

As regarding the section 3.1, the text in section 3.1 does not seem like to specify the binding revocation protocol but to highlight the applicable use case for binding revocation mechanisms. Can you tell me what's the difference between the cases in sectioin 3.1 and Client MIPv6 and DSMIP6 use case, Proxy MIPv6 use case in section 3.2 and 3.4. Also the use case for monami6 in section 3.3 is not highlighted in the section 3.1.

Also (P)bit and (A) bit are the first time to appear in the section 3.1, I would like to suggest to add some explanation text or reference behind them,e.g.,"as described in section 6.1"

In section 3.1, it mentioned that:
>>the initiator of the binding revocation procedure includes an indication in the Revocation Trigger field to indicate to the receiving node the cause for the >>revocation procedure.
I wonder whether it is appropriate to use trigger to express the cause for the revocation? From my point,  the trigger means who initiate or activate revocation, is that right?

In section 3.2 of "Client MIPv6 and DSMIP6 Use Case",it said:
>>when the home agent needs to inform the mobile  node that its binding registration has been revoked, e.g. for an administrative reason.
I wonder what administrative reason you indicate here? Can you explain it more clearly?

Also in section 3.2, it mentioned:
>>dynamically allow the user to act upon the revocation message in order to recover its interrupted mobile IPv6 services.
Aside from mobile IPv6 services interruption, it seems there are many reasons for binding revocation,  e.g., charge is overdue, user initiates to terminate one mobility session. So may I suggest some additional text to clarify  this sentence.

In figure 1, A bit is carried in BRI message, what's the difference between A bit and (A) bit as described in section 3.1? If same, I would like to make alignment amongst these symbols or sign?

In section 3.3, As regarding Muti-Care of Addresses Use case, I wonder whether this use case also can be further divided into 
1.Multi-Care of Address for MIP 
2.Multi-Care of Address for PMIP
If in this case, I want to know whether the figure 2 is a generic use case for Monami6.Is it necessary to specify
how the multi-Care of Address binding revocation mechanism works for PMIP scenario?

Also in section 3.3, it mentioned:
>> In the case of Monami6 protocol, a mobile node is able to register
>> multiple care-of addresses for the same home address [ID-MCoA].
>From my understanding, [ID-MCoA] describes how Monami6 protocol interacts with mip6 protocol. So I wonder whether
Monami6 is a protocol or scenario and whether monami6 can be used withouth the support of mobility protocol.

As regarding section 3.4,    
In the section 3.1, it mention one use case where the MAG send de-registration message to indicate to the LMA of  the termination of the PMIPv6 mobile node binding registration. I wonder why this case is not covered by the Proxy MIPv6 Use case in the section 3.4?

In figure 3, it mention R.trigger.
What's the R.Trigger stand for? R stand for revocation? If R.Trriger is abbreviation, may I suggest to put it in the section of terminology?

Thanks a lot!
-Qin

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Thu, 26 Feb 2009 11:25:38 -0600

Hi, Qin,
Please see inline.

> Subject: [MEXT] Comments on draft-ietf-mext-binding-revocation-03
> 
> Hi,Ahmad:
> As regarding the section 3.1, the text in section 3.1 does 
> not seem like to specify the binding revocation protocol but 
> to highlight the applicable use case for binding revocation 
> mechanisms. 

[Ahmad]
Yeh, we did mean for this to describe the high level of the protocol and
document the usecases.

> Can you tell me what's the difference between the 
> cases in sectioin 3.1 and Client MIPv6 and DSMIP6 use case, 
> Proxy MIPv6 use case in section 3.2 and 3.4. 
[Ahmad]
I am not sure I understand the question. Do you see them the same?

> Also the use 
> case for monami6 in section 3.3 is not highlighted in the section 3.1.

[Ahmad]
Okay. That is fine. It is captured in its own subsection.

> 
> Also (P)bit and (A) bit are the first time to appear in the 
> section 3.1, I would like to suggest to add some explanation 
> text or reference behind them,e.g.,"as described in section 6.1"
>
[Ahmad]
I do not think we need to document that in two places of the document.
 
> >>the initiator of the binding revocation procedure includes 
> an indication in the Revocation Trigger field to indicate to 
> the receiving node the cause for the >>revocation procedure.
[Ahmad]
True.

> I wonder whether it is appropriate to use trigger to express 
> the cause for the revocation? From my point,  the trigger 
> means who initiate or activate revocation, is that right?

[Ahmad]
Yes, the cause for the sending node to send the BRI message. This cause
could be initiated by the sending node or another node that have some
trust relationship with the sending node.

> >>when the home agent needs to inform the mobile  node that 
> its binding registration has been revoked, e.g. for an 
> administrative reason.

[Ahmad]
I guess whatever can be categorized as administrative reason. That could
be due to home provider policy, the user account ran out of money, etc.

> >>dynamically allow the user to act upon the revocation 
> message in order to recover its interrupted mobile IPv6 services.
> Aside from mobile IPv6 services interruption, it seems there 
> are many reasons for binding revocation,  e.g., charge is 
> overdue, user initiates to terminate one mobility session. So 
> may I suggest some additional text to clarify  this sentence.
>
[Ahmad]
The reason may change by time. I guess we need to specify the protocol
and the frame work that works in all these cases. 
 
> In figure 1, A bit is carried in BRI message, what's the 
> difference between A bit and (A) bit as described in section 
> 3.1? If same, I would like to make alignment amongst these 
> symbols or sign?

[Ahmad]
They are the same. The (A) is used when appears inside regular text.

> 
> In section 3.3, As regarding Muti-Care of Addresses Use case, 
> I wonder whether this use case also can be further divided 
> into 1.Multi-Care of Address for MIP 2.Multi-Care of Address 
> for PMIP If in this case, I want to know whether the figure 2 
> is a generic use case for Monami6.
[Ahmad]
Let us remember, PMIPv6 is an extension of MIP6. when multicare of
address is specified for PMIPv6, then that scenario becomes handy and
can be used as is unless there is some specifics to PMIPv6.

> Is it necessary to specify 

[Ahmad]
Please see above. No need as long as it has not been addressed yet.

> From my understanding, [ID-MCoA] describes how Monami6 
> protocol interacts with mip6 protocol. So I wonder whether
> Monami6 is a protocol or scenario and whether monami6 can be 
> used withouth the support of mobility protocol.

[Ahmad]
This question should be addressed in the context of monami6 draft. 

> In the section 3.1, it mention one use case where the MAG 
> send de-registration message to indicate to the LMA of  the 
> termination of the PMIPv6 mobile node binding registration. I 
> wonder why this case is not covered by the Proxy MIPv6 Use 
> case in the section 3.4?

[Ahmad]
I did not get what you said here. 
Do you mean that we need to document the same case using BRI?

> What's the R.Trigger stand for? R stand for revocation? If 
> R.Trriger is abbreviation, may I suggest to put it in the 
> section of terminology?

[Ahmad]
Just to make the figure look nice and fit within that space. I will see
if I can capture that some where in the draft to reference R. Trigger is
Revocation Trigger.

Thank for your comments.

Regards,
Ahmad

---

From: Qin Wu <[email-masked]>
Date: Fri, 27 Feb 2009 16:22:32 +0800

Hi,Ahmad:
Thank for your reply, please check inline.
-Qin
----- Original Message ----- 
From: "Ahmad Muhanna" <[email-masked]>
To: "Qin Wu" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, February 27, 2009 1:25 AM
Subject: RE: [MEXT] Comments on draft-ietf-mext-binding-revocation-03

Hi, Qin,
Please see inline.

[Ahmad]

[Qin]Yeah, my feeling is quite similar. If you can abstract some generic text on the binding revocation mechanism from 
CMIP/DSMIP/PMIP use cases and put them in the top of  section, I guess that will be better.

[Ahmad]
Okay. That is fine. It is captured in its own subsection.
[Qin] But not reflect in the high level protocol section 3.1.
[Ahmad]

[Qin]okay, it does not matter.

[Ahmad]
True.
[Ahmad]

[Qin]: I am not strongly against it. 

[Ahmad]

[Qin]You r right.

[Ahmad]

[Qin] I agree it is a minor nits.

[Ahmad]

[Qin] oh,I understand, using bracket is to avoid confusion.

[Ahmad]

[Qin] But the point is PMIPv6 basic protocol (i.e.,RFC5213)has not specified any protocol on multi-coa binding recovation mechanisms.
Only in this draft, binding revocation mechanism for PMIP6 is covered in section 3.4. And what's specifics to PMIPv6 case is that not only the
LMA, but also the MAG can initiate binding revocation process which has already been described as one example in section 3.1, last paragraph
(i.e, binding revocation using de-registration message).
Also multicoa binding revocation mechanism not only works for MIP but also for PMIP. This use case on multicoa binding revocation does exist.
So may i suggest to add some text to point out monami6 case also work for PMIP6 scenario in section 3.3.

[Ahmad]

[Qin]It does exist.

[Ahmad]

[Qin]: It is a little tricky to avoid addressing it. 
Actually, in the section 3.3, it mainly focuses on monami6 case.Also Monami6 case is not addressed independently, 
CMIP is applied in this monami6 use case and used with monami6. 
Also PMIP can be applied in the same monami6 use case. In this sense, I wonder
whether it is rational to categorize the monami6 as an independent use case. In fact, monami6 is not protocol but a scenario.
In other words, the CMIP/DSMIP case, PMIP6 case are definitely overlapped with Monami6 case in section 3.3.
 
[Ahmad]

[Qin] Sorry for your misunderstanding, What I mean is 
since the MAG using de-registration message to indicate the LMA of the termination of PMIP6 binding is viewed as one example of binding revocation,
shall we specify it in details in the section 3.4, section 8,9,10,11 to show how binding revocation using de-registration message works?

[Ahmad]

[Qin]okay, I understand.

Thank for your comments.

Regards,
Ahmad

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Fri, 27 Feb 2009 08:42:41 -0600

Hi Qin,
Please see inline.

> [Qin] But the point is PMIPv6 basic protocol 
> (i.e.,RFC5213)has not specified any protocol on multi-coa 
> binding recovation mechanisms.
[Ahmad]
Why PMIPv6 needs to specify that. It should not.

> Only in this draft, binding revocation mechanism for PMIP6 is 
> covered in section 3.4. And what's specifics to PMIPv6 case 
> is that not only the
> LMA, but also the MAG can initiate binding revocation process 
> which has already been described as one example in section 
> 3.1, last paragraph
> Also multicoa binding revocation mechanism not only works for 
> MIP but also for PMIP. This use case on multicoa binding 
> revocation does exist.
> So may i suggest to add some text to point out monami6 case 
> also work for PMIP6 scenario in section 3.3.

[Ahmad]
where multi-coa for PMIP6 is captured in the standard. In this draft, we
can not specify a mechanism for something that is not documented as a
standard or in progress yet.

> Please see above. No need as long as it has not been addressed yet.
[Ahmad]
Where?

> [Qin]: It is a little tricky to avoid addressing it.

[Ahmad]
Qin, We do not need to go into loops here.
Your question is related to monami6 as a protocol. That needs to be
addressed in the context of monami6.

> Actually, in the section 3.3, it mainly focuses on monami6 
> case.Also Monami6 case is not addressed independently, 
> whether it is rational to categorize the monami6 as an 
> independent use case. In fact, monami6 is not protocol but a scenario.
> In other words, the CMIP/DSMIP case, PMIP6 case are 
> definitely overlapped with Monami6 case in section 3.3.
>  
> since the MAG using de-registration message to indicate the 
> LMA of the termination of PMIP6 binding is viewed as one 
> example of binding revocation,
> shall we specify it in details in the section 3.4, section 
> 8,9,10,11 to show how binding revocation using 
> de-registration message works?

[Ahmad]
I am not sure if we can achieve everything in the revocation by using
de-registration. BRI gives more information than what can be carried in
de-registration. Please remember, MAG can send a BRI in the case of
multiple bindings revocation already. Is what you are saying: we need to
specify how BRI can be used for revocation from the MAG in all cases?
If not and you are interested in PBU as a de-registration, then probably
what in PMIP6 is good enough.

Regards,
Ahmad

---

From: Qin Wu <[email-masked]>
Date: Sat, 28 Feb 2009 09:12:51 +0800

Hi, Ahmad:
Please check inline.
----- Original Message ----- 
From: "Ahmad Muhanna" <[email-masked]>
To: "Qin Wu" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, February 27, 2009 10:42 PM
Subject: RE: [MEXT] Comments on draft-ietf-mext-binding-revocation-03

Hi Qin,
Please see inline.

[Ahmad]
[Qin] You are right.

[Ahmad]
where multi-coa for PMIP6 is captured in the standard. In this draft, we
can not specify a mechanism for something that is not documented as a
standard or in progress yet.
[Qin] I have checked through the [ID-MCoA], you r right, [ID-MCoA] only specify Multi-CoA registration
mechanism for MIP6. So that means the binding revocation  for PMIP6 has not been specified by any standard now.
Sorry for my bad memory.
[Ahmad]
Where?

[Qin]: please see above.

[Ahmad]

[Qin]: I just want to point out the monami6 use case is strongly related to CMIP6/DSMIP use case.
Because the home agent, mobile node, mip6 protocol are all applied in the monami6 use case. 

[Ahmad]
[Qin]Since the MAG can send BRI instead of PBU, may I suggest to specify how BRI can be used for revocation from the MAG?
Regards,
Ahmad

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Sat, 28 Feb 2009 17:12:37 -0600

Hi, Qin,
Please see inline.

> [Qin]Since the MAG can send BRI instead of PBU, may I suggest 
> to specify how BRI can be used for revocation from the MAG?

[Ahmad]
Personally, I believe that is a good idea. Especially, the MAG already
uses BRI to send a Global BRI. However, if I recall, there was some
opposition to this early on and that why we did not include it.

In order to add this to the draft, we need enough people to support that
on the ml.